//listing detail

.house-sub-title {
  @include main-font-16-normal($text-extra-grey-light-extra);
  line-height: 23px;
}

.house-title {
  @include main-font-20-500($text-black);
  line-height: 29px;
}

.house-title-desc {
  @include main-font-12-normal($text-blue);
  line-height: 18px;
  margin-top: 10px;
}

//house price
.house-price {
  background-color: $white;
  padding: 20px;

  @media (max-width: $medium) {
    display: none;
  }

  &__total {
    @include main-font-24-bold($text-black);
    line-height: 35px;
  }

  &__square {
    @include main-font-16-normal($text-black);
    line-height: 23px;
  }

  &__credit {
    display: inline-block;
    @include main-font-16-normal($text-blue);
    line-height: 23px;
    border-bottom: 1px dotted $text-blue;
  }
}

// viewing
.viewing {
  background-color: $white;
  margin-top: 15px;
  padding: 15px 17px 20px 17px;

  @media (max-width: $medium) {
    padding: 15px 160px 20px 160px;
  }

  @media (max-width: $small) {
    padding: 15px 17px 20px 17px;
  }

  &__title {
    @include main-font-16-500($text-black);
    line-height: 24px;
    text-align: center;
  }

  &__message {
    margin-top: 20px;
  }

  &__phone {
    margin-top: 13px;
  }

  &__btn {
    width: 57%;
    margin: 0 auto;
    margin-top: 20px;

    @media (max-width: $medium) {
      max-width: 40%;
    }

    @media (max-width: $mobile) {
      max-width: 57%;
    }
  }
}

//listing-param
.listing-param {
  margin-top: 30px;

  &__desc {
    @include main-font-14-normal($text-black);
    line-height: 21px;
  }

  &__info {
    display: flex;
    justify-content: space-between;
    margin-top: 40px;
  }

  &__data-block {
    width: 100%;
  }

  &__title {
    @include main-font-18-500($text-black);
    line-height: 26px;
  }

  &__data {
    margin-top: 20px;
    display: flex;

    @media (max-width: $small) {
      flex-direction: column;
    }
  }

  &__data-list {
    column-count: 2;
    column-gap: 70px;
    max-width: 50%;

    @media (max-width: $small) {
      max-width: 100%;
    }
  }

  &__data-list-item {
    @include main-font-12-normal($text-extra-grey-light-extra);
    display: flex;
    justify-content: space-between;
    line-height: 25px;
  }

  &__data-list-item-value {
    color: $text-black;
  }

  &__link-block {

    @media (max-width: $small) {
      margin-top: 20px;
    }
  }

  &__link {
    @include main-font-12-normal($text-blue);
    line-height: 25px;
    text-decoration-line: underline;
    border: 1px solid rgba(0, 0, 0, 0.1);
    padding: 8px 40px;
    margin-left: 80px;

    @media (max-width: $small) {
      margin-left: 0;
    }
  }

  //location
  &__location {
    margin-top: 20px;
  }

  &__location-title {
    @include main-font-18-500($text-black);
    line-height: 26px;
  }

  &__location-data {
    @include main-font-12-normal($text-black);
    line-height: 25px;
  }
}

//map
.listing-map {
  margin-top: 30px;

  &__title {
    @include main-font-18-500($text-black);
    line-height: 26px;
  }

  &__map {
    width: 100%;
    min-height: 200px;
  }
}
